{{- if eq .Values.mode "applications" -}}
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: amcm-cluster-configurator-{{ $.Values.cluster.name }}
  namespace: argocd
  finalizers:
  - resources-finalizer.argocd.argoproj.io
spec:
  project: {{ $.Values.cluster.name }}
  source:
    repoURL: {{ $.Values.repoURL }}
    path: {{ $.Values.repoPath | default "amcm" }}
    helm:
      parameters:
      - name: amcm.mode
        value: cluster-configurator
      - name: amcm.cluster.name
        value: {{ $.Values.cluster.name }}
      - name: amcm.repoURL
        value: {{ $.Values.repoURL }}
      valueFiles:
      - {{ $.Values.cluster.configPath }}
  destination:
    server: {{ $.Values.cluster.server }}
    namespace: kube-system
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
---
{{- end -}}